package org.rcisoft.bus.ossinfo.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年5月27日 下午3:19:03.
*/
@Data
@TableName("oss_info")
public class OssInfo  extends CyIdIncreEntity<OssInfo> {


     /**
     * @desc bucket
     * @column bucket
     * @default
     */
     @Excel(name = "bucket", orderNum = "0", width = 20)
     private String bucket;

     /**
     * @desc path
     * @column path
     * @default
     */
     @Excel(name = "path", orderNum = "1", width = 20)
     private String path;

     /**
     * @desc ossKey
     * @column oss_key
     * @default
     */
     @Excel(name = "ossKey", orderNum = "2", width = 20)
     private String ossKey;

     /**
     * @desc md5
     * @column md5
     * @default
     */
     private String md5;

     /**
     * @desc etag
     * @column e_tag
     * @default
     */
     private String eTag;

     /**
     * @desc url
     * @column url
     * @default
     */
     private String url;

     /**
     * @desc fileSize
     * @column file_size
     * @default
     */
     @Excel(name = "fileSize", orderNum = "6", width = 20)
     private Integer fileSize;

     /**
     * @desc fileType
     * @column file_type
     * @default
     */
     @Excel(name = "fileType", orderNum = "7", width = 20)
     private String fileType;

     /**
     * @desc originalName
     * @column original_name
     * @default
     */
     @Excel(name = "originalName", orderNum = "8", width = 20)
     private String originalName;

     /**
     * @desc toPdfUrl
     * @column to_pdf_url
     * @default
     */
     private String toPdfUrl;

     /**
      * ids
      * **/
     @TableField(exist = false)
     private String ids;


}

