package org.rcisoft.bus.ossinfo.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.bus.ossinfo.entity.OssInfo;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年5月27日 下午3:19:03.
*/

public interface OssInfoRepository extends CyBaseMapper<OssInfo> {


    List<OssInfo> queryOssInfos(@Param("entity") OssInfo ossInfo);

    /**
    * 分页查询 ossInfo
    *
    */
    IPage<OssInfo> queryOssInfosPaged(CyPageInfo cyPageInfo,@Param("entity") OssInfo ossInfo);
}

